Subject: Re: tun.c patch to fix "smp_processor_id() in preemptible code"

From: "David S. Miller" <[email-masked]>
Date: Tue, 19 Oct 2004 15:33:08 -0700

On Tue, 19 Oct 2004 18:10:58 -0400
Lee Revell <[email-masked]> wrote:

>   /*
>    * Since receiving is always initiated from a tasklet (in iucv.c),
>    * we must use netif_rx_ni() instead of netif_rx()
>    */
> 
> This implies that the author thought it was a matter of correctness to
> use netif_rx_ni vs. netif_rx.  But it looks like the only difference is
> that the former sacrifices preempt-safety for performance.

You can't really delete netif_rx_ni(), so if there is a preemptability
issue, just add the necessary preemption protection around the softirq
checks.